<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ac_receipt_details', function (Blueprint $table) {
            $table->date('transaction_date')->nullable()->after('transactions_status');
            $table->string('transaction_referrence')->nullable()->after('transaction_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ac_receipt_details', function (Blueprint $table) {
            $table->dropColumn('transaction_date');
            $table->dropColumn('transaction_referrence');
        });
    }
};
